TITLE1 ‘Chapter 10 Example 6.sas’;
TITLE2 ’Regression Plot’;
TITLE3 ‘Quadratic model’;
DATA one;
INPUT month flats price;
LABEL flats = Number of 12-pint flats available’;
LABEL price = Price (USD);
flats2 = flats*flats;
CARDS;
1 230 22
2 320 16
3 350 17
4 400 15
5 315 17
6 275 32
7 260 23
8 255 24
9 200 21
10 168 43
11 99 50
12 75 65
RUN;
* Perform the regression analysis to create an output dataset of parameter estimates called ‘regdata’ with the statement OUTEST and request no printing of the regression results;
PROC REG DATA = one OUTEST = regdata NOPRINT;
MODEL price = flats flats2 / CLM;
RUN;
* Put the regression equation in a SAS® macro variable for use later in the graph. Macro variable are a shorthand for text.  You assign a text string to a variable, then anywhere you need to print the text, you reference the variable rather than typing out the text. Retreive equation from the 'regdata' dataset created with the 'outest' statement  with the ‘DATA_NULL’ and ‘SET regdata’ statements;
DATA _NULL_;
   SET regdata;
* Invoke MACRO variable assignment with the ‘CALL SYMPUT’ statement. ‘eqn’ is the macro variable name you assign and the text inside the double quotes is the value you assign the variable.  The parameter estimates are retrieved from the ‘regdata’ dataset with the ||Intercept||, ||flats|| and ||flats2||.  The double vertical bar operator is a concatenation indicator telling SAS® to string everything inside the double quotes together.;
   CALL SYMPUT('eqn',"Price = "||Intercept||"  "||flats||" *Flats + "||flats2||" * Flats2");
* NOTE: you might have to omit either of the '+' signs in the preceding line if either B0 or B1 estimates are negative;
RUN;
PROC SGPLOT DATA = one;
REG x = flats y = price / DEGREE = 2 CLM NOLEGCLI NOLEGCLM NOLEGFIT;
* Place the regression equation in the bottom left of the graph using the INSET statement, calling the ‘eqn’ variable you created with the ‘&’ symbol in front of the variable name;
INSET "&eqn"/ POSITION = BOTTOMLEFT;
XAXIS grid;
YAXIS grid;
RUN;


